[Haskell-cafe] OpenAL - compiling problem

Gary Klindt gary.klindt at googlemail.com
Wed Nov 28 21:07:13 CET 2012

On 11/28/2012 07:01 PM, Stephen Tetley wrote:
> Hi Gary
> Which version of GHC are you using?
> My suspicion is that ALCdevice might be a newtype falling foul of
> recent changes to GHC...
> v7.4.1: "GHC now requires, as per the standard, that if a newtype is
> used in an FFI declaration, then the constructor for that type must be
> in scope. For now you only get a warning if it is not, but in the
> future this will be an error."

Thank you for answering. Maybe you're right, I'm using v7.6.1.
So I can only wait for a patch or use an older version of ghc, right?

More information about the Haskell-Cafe mailing list